[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#454863: FTBFS with GCC 4.3: missing #includes

Package: gnome-apt
Version: 0.4.9-4
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of gnome-apt_0.4.9-4 on em64t by sbuild/amd64 0.53
> if g++ -DHAVE_CONFIG_H -I. -I. -I..  -I/usr/include -DORBIT2=1 -pthread -DPNG_NO_MMX_CODE -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/gail-1.0 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/libpng12   -DPNG_NO_MMX_CODE -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/libpng12   -DPREFIX=\"/usr\" -DSYSCONFDIR=\"/etc\" -DDATADIR=\"/usr/share\" -DLIBDIR=\"/usr/lib\" -DGNOMELOCALEDIR=\""/usr/share/locale"\" -DG_LOG_DOMAIN="\"Gnome Apt Frontend\"" -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGLIB_DISABLE_DEPRECATED  -g -O2 -Wall -Wno-unused  -g -O2 -DG_DISABLE_CHECKS=1 -MT gnome_apt-childprocess.o -MD -MP -MF ".deps/gnome_apt-childprocess.Tpo" \
> 	  -c -o gnome_apt-childprocess.o `test -f 'childprocess.cc' || echo './'`childprocess.cc; \
> 	then mv -f ".deps/gnome_apt-childprocess.Tpo" ".deps/gnome_apt-childprocess.Po"; \
> 	else rm -f ".deps/gnome_apt-childprocess.Tpo"; exit 1; \
> 	fi
> childprocess.cc: In member function 'void ChildDialog::feed(const gchar*)':
> childprocess.cc:196: error: 'strlen' was not declared in this scope
> make[4]: *** [gnome_apt-childprocess.o] Error 1
> make[4]: Leaving directory `/build/tbm/gnome-apt-0.4.9/src'

Martin Michlmayr

Reply to: